var Chat = {
  init: function () {
    this.logList = document.getElementById("log-list");
    this.memberList = document.getElementById("member-list");
    this.memberItems = {};
  },

  enter: function (name) {
    var item = document.createElement("li");
    item.appendChild(document.createTextNode(name));
    this.memberList.appendChild(item);
    this.memberItems[name] = item;
    this.say("管理人", name + " さんが入室しました。");
  },

  leave: function (name) {
    var item = this.memberItems[name];
    if (!item) return;
    this.memberList.removeChild(item);
    delete this.memberItems[name];
    this.say("管理人", name + " さんが退室しました。");
  },

  say: function (name, message) {
    var dt = document.createElement("dt");
    var dd = document.createElement("dd");
    dt.appendChild(document.createTextNode(name));
    dd.appendChild(document.createTextNode(message));
    this.logList.appendChild(dt);
    this.logList.appendChild(dd);

    var log = this.logList.parentNode;
    log.scrollTop = log.scrollHeight;
  }
};
