/* n-class-attr.js by nanto_vi
 *
 * class属性の値の操作を補助する。
 *
 * 使い方:
 *
 *   NClassAttr.has(element, className)
 *     elementがクラス名にclassNameを持っていればtrue、
 *     そうでなければfalseを返す。
 *
 *   NClassAttr.add(element, className)
 *     elementのクラス名にclassNameを追加する。
 *
 *   NClassAttr.remove(element, className)
 *     elementのクラス名からclassNameを削除する。
 */

var NClassAttr = {
  has: function (element, className) {
    var classNames = " " + element.className + " ";
    return classNames.indexOf(" " + className + " ") != -1;
  },

  add: function (element, className) {
    if (NClassAttr.has(element, className)) return;
    element.className += (element.className && " ") + className;
  },

  remove: function (element, className) {
    var classNames = " " + element.className + " ";
    classNames = classNames.replace(" " + className + " ", " ");
    element.className = classNames.slice(1, -1);
  }
};
